"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ValueType;
(function (ValueType) {
    function array(oid, elemNullable) {
        return { kind: 'Array', oid, elemNullable };
    }
    ValueType.array = array;
    function any(oid) {
        return { kind: 'Any', oid };
    }
    ValueType.any = any;
    function walk(valueType, handlers) {
        switch (valueType.kind) {
            case 'Array':
                return handlers.array(valueType);
            case 'Any':
                return handlers.any(valueType);
        }
    }
    ValueType.walk = walk;
})(ValueType = exports.ValueType || (exports.ValueType = {}));
